/**
 * 
 */
package org.qriterium.connection;

/**
 * Interface for a connection that connects two entities.
 * @author Arto
 *
 */
public interface Connection {
	/**
	 * Returns the object which the connection starts from
	 * @return object which the connection starts from
	 */
	public Object getTo();
	/**
	 * Returns the object which the connection points to
	 * @return object which the connection points to
	 */
	public Object getFrom();
}
