package org.qriterium.statement;

/**
 * An Organization-type QActor
 * @author Mikko Kautto
 *
 */
public class Organization extends QActor {

	/**
	 * Constructs a new Organization with the name provided
	 * @param name the name of the organization
	 * @param hash the source hash of the organization
	 * @param rawId the raw id of the organization
	 */
	public Organization(String name, String hash, String rawId) {
		super(name, hash, rawId);
	}
	
	/**
	 * Returns the subtype of this actor 
	 * @return the subtype of this actor
	 */
	public String getSubTypeString() {
		return "organization";
	}
	
}
