package org.qriterium.statement;

/**
 * A Person-type QActor
 * @author Mikko
 *
 */
public class Person extends QActor {
	
	/**
	 * Constructs a new Person with the name provided
	 * @param name the name of the person
	 * @param hash the source hash of the person
	 * @param rawId the raw id of the person
	 */
	public Person(String name, String hash, String rawId) {
		super(name, hash, rawId);
	}
	
	/**
	 * Returns the subtype of this actor 
	 * @return the subtype of this actor
	 */
	public String getSubTypeString() {
		return "person";
	}
}
