package org.qriterium.unit_tests;

import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(AllTests.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for org.qriterium.unit_tests");
		//$JUnit-BEGIN$
		suite.addTest(ConnectionTestSuite.suite());
		suite.addTest(IoTestSuite.suite());
		suite.addTest(StatementTestSuite.suite());
		suite.addTest(TransformerTestSuite.suite());
		suite.addTest(UtilTestSuite.suite());
		//$JUnit-END$
		return suite;
	}

}
