package org.qriterium.unit_tests;

import org.qriterium.unit_tests.statement.OrganizationTest;
import org.qriterium.unit_tests.statement.PersonTest;
import org.qriterium.unit_tests.statement.QActorTest;
import org.qriterium.unit_tests.statement.QContentTest;
import org.qriterium.unit_tests.statement.QDocumentTest;
import org.qriterium.unit_tests.statement.QHeaderTest;
import org.qriterium.unit_tests.statement.QSourceTest;
import org.qriterium.unit_tests.statement.QStatementTest;
import org.qriterium.unit_tests.statement.QStatementsTest;

import junit.framework.Test;
import junit.framework.TestSuite;

public class StatementTestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(StatementTestSuite.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for org.qriterium.unit_tests.statement");
		//$JUnit-BEGIN$
		suite.addTestSuite(QStatementsTest.class);
		suite.addTestSuite(QDocumentTest.class);
		suite.addTestSuite(PersonTest.class);
		suite.addTestSuite(QSourceTest.class);
		suite.addTestSuite(QStatementTest.class);
		suite.addTestSuite(QActorTest.class);
		suite.addTestSuite(QHeaderTest.class);
		suite.addTestSuite(OrganizationTest.class);
		suite.addTestSuite(QContentTest.class);
		//$JUnit-END$
		return suite;
	}

}
