package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.AwareOfConnection;

/**
 * Unit test class for AwareOfConnection 
 * @author Arto
 *
 */
public class AwareOfConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.AwareOfConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		AwareOfConnection conn = new AwareOfConnection(0, 0, "foo", "foo");
		assertEquals("aware_of", conn.getTypeString());
	}

	public void testAwareOfConnection() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}
	
	public void testSetFrom() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		conn.setFrom(5);
		assertEquals(new Long(5), conn.getFrom());
		
		conn.setFrom(new Long(2));
		assertEquals(new Long(2), conn.getFrom());
	}
	
	public void testSetTo() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		conn.setTo(5);
		assertEquals(new Long(5), conn.getTo());
		
		conn.setTo(new Long(1));
		assertEquals(new Long(1), conn.getTo());
	}

}
