package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;
import org.qriterium.connection.ConsistsOfConnection;

/**
 * Unit test class for ConsistsOfConnection 
 * @author Arto
 *
 */
public class ConsistsOfConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.ConsistsOfConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		ConsistsOfConnection conn = 
			new ConsistsOfConnection(0, 0, "foo", "foo");
		assertEquals("consists_of", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.ConsistsOfConnection.ConsistsOfConnection(QDocument, QContent)'
	 */
	public void testConsistsOfConnection() {
		ConsistsOfConnection conn = 
			new ConsistsOfConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
