package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;
import org.qriterium.connection.ContactedAtConnection;

/**
 * Unit test class for ContatedAtConnection
 * @author Arto
 *
 */
public class ContactedAtConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.ContactedAtConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		ContactedAtConnection conn = 
			new ContactedAtConnection(0, 0, "foo", "foo");
		assertEquals("contacted_at", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.ContactedAtConnection.ContactedAtConnection(QActor, QActor)'
	 */
	public void testContactedAtConnection() {
		ContactedAtConnection conn = 
			new ContactedAtConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
