package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;
import org.qriterium.connection.CreatedForConnection;

/**
 * Unit test class for CreatedForConnection
 * @author Arto
 *
 */
public class CreatedForConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.CreatedForConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		CreatedForConnection conn = 
			new CreatedForConnection(0, 0, "foo", "foo");
		assertEquals("created_for", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.CreatedForConnection.CreatedForConnection(QActor, QActor)'
	 */
	public void testCreatedForConnection() {
		CreatedForConnection conn = 
			new CreatedForConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
