package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;
import org.qriterium.connection.CreatedInConnection;

/**
 * Unit test class for CreatedInConnection
 * @author Arto
 *
 */
public class CreatedInConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.CreatedInConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		CreatedInConnection conn = 
			new CreatedInConnection(0, 0, "foo", "foo");
		assertEquals("created_in", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.CreatedInConnection.CreatedInConnection(QActor, QActor)'
	 */
	public void testCreatedInConnection() {
		CreatedInConnection conn = 
			new CreatedInConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
