package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.PublishedByConnection;

/**
 * Unit test class for PublishedByConnection
 * @author Arto
 *
 */
public class PublishedByConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.PublishedByConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		PublishedByConnection conn = 
			new PublishedByConnection(0, 0, "foo", "foo");
		assertEquals("published_by", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.PublishedByConnection.PublishedByConnection(QDocument, QActor)'
	 */
	public void testPublishedByConnection() {
		PublishedByConnection conn = 
			new PublishedByConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
