package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;
import org.qriterium.connection.*;

/**
 * Unit test class for QConnectionFactory
 * @author Arto
 * 
 * Do not reach 100% block coverage
 * Because:
 * - Private constructor cannot be called, obviously.
 *
 */
public class QConnectionFactoryTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.connection.QConnectionFactory.getInstance(String)'
	 */
	public void testGetInstance() {
		QConnection conn;
		
		conn = QConnectionFactory.getInstance(AwareOfConnection.TYPE);
		assertTrue(conn instanceof AwareOfConnection);

		conn = QConnectionFactory.getInstance(ConsistsOfConnection.TYPE);
		assertTrue(conn instanceof ConsistsOfConnection);
		
		conn = QConnectionFactory.getInstance(ContactedAtConnection.TYPE);
		assertTrue(conn instanceof ContactedAtConnection);
		
		conn = QConnectionFactory.getInstance(CreatedByConnection.TYPE);
		assertTrue(conn instanceof CreatedByConnection);
		
		conn = QConnectionFactory.getInstance(CreatedForConnection.TYPE);
		assertTrue(conn instanceof CreatedForConnection);
		
		conn = QConnectionFactory.getInstance(CreatedInConnection.TYPE);
		assertTrue(conn instanceof CreatedInConnection);
		
		conn = QConnectionFactory.getInstance(IdentifiedAsConnection.TYPE);
		assertTrue(conn instanceof IdentifiedAsConnection);
		
		conn = QConnectionFactory.getInstance(ManagedByConnection.TYPE);
		assertTrue(conn instanceof ManagedByConnection);
		
		conn = QConnectionFactory.getInstance(PublishedByConnection.TYPE);
		assertTrue(conn instanceof PublishedByConnection);
		
		conn = QConnectionFactory.getInstance(StoredByConnection.TYPE);
		assertTrue(conn instanceof StoredByConnection);

		conn = QConnectionFactory.getInstance(SupportedByConnection.TYPE);
		assertTrue(conn instanceof SupportedByConnection);
	}

}
