package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.StoredByConnection;

/**
 * Unit test class for StoredByConnection
 * @author Arto
 *
 */
public class StoredByConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.StoredByConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		StoredByConnection conn = new StoredByConnection(0, 0, "foo", "foo");
		assertEquals("stored_by", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.StoredByConnection.StoredByConnection(QStatement, QSource)'
	 */
	public void testStoredByConnection() {
		StoredByConnection conn = new StoredByConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
