package org.qriterium.unit_tests.io;

import junit.framework.TestCase;

import org.qriterium.io.FileReader;

import java.io.InputStream;

/**
 * Unit test for FileReader
 * 
 * @author Mikko
 *
 */
public class FileReaderTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.FileReader.getInputStream()'
	 */
	public void testGetInputStream() {
		try {
			FileReader fr1 = new FileReader("test.xml");	
			InputStream is1 = fr1.getInputStream();
			assertTrue(is1 instanceof InputStream);
		} catch (Exception e) { }
	}

	public void testFileReaderInvalidFile() {
		boolean exceptionThrown = false;
		try {
			FileReader fr2 = new FileReader("nonexistantfile.xml");
		} catch (Exception e) { 
			exceptionThrown = true;
		}
		assertTrue(exceptionThrown);
	}
	
	public void testGetFileName() {
		try {
			FileReader fr3 = new FileReader("test.xml");
			assertEquals("test.xml", fr3.getFileName());
		} catch (Exception e) { }
	}
	
}
