package org.qriterium.unit_tests.util;

import junit.framework.TestCase;
import org.qriterium.util.XMLDataElement;
import org.qriterium.util.XMLProperties;

/**
 * Unit test class for XMLDataElement
 * @author Arto
 *
 */
public class XMLDataElementTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.util.XMLDataElement.getNamespace()'
	 */
	public void testGetNamespace() {
		XMLDataElement e = new XMLDataElement("name", "value");
		assertEquals(XMLProperties.NAMESPACE, e.getNamespace());
	}

	/*
	 * Test method for 'org.qriterium.util.XMLDataElement.getName()'
	 */
	public void testGetName() {
		XMLDataElement e = new XMLDataElement("name", "value");
		assertEquals("name", e.getName());
	}

	/*
	 * Test method for 'org.qriterium.util.XMLDataElement.getValue()'
	 */
	public void testGetValue() {
		XMLDataElement e = new XMLDataElement("name", "value");
		assertEquals("value", e.getValue());
	}

}
