package org.qriterium.util;

import java.util.Iterator;

import javax.xml.namespace.NamespaceContext;

/**
 * Minimal implementation of the NamespaceContext-interface
 * 
 * @author mokautto
 *
 */
public class SimpleNamespaceContext implements NamespaceContext {

	 private String uri;
	 private String prefix;

	 public SimpleNamespaceContext(){}

	 public SimpleNamespaceContext(String prefix, String uri){
		 this.uri=uri;
	     this.prefix=prefix;
	 }

	 public String getNamespaceURI(String prefix){
		 return this.uri;
	 }

	 public void setNamespaceURI(String uri){
	   this.uri=uri;
	 }

	 public String getPrefix(String uri){
	   return this.prefix;
	 }

	 public void setPrefix(String prefix){
	   this.prefix=prefix;
	 }

	 public Iterator getPrefixes(String uri){return null;}

}
