package org.qriterium.util;

public final class StringUtilities {
	/** @author Timo
	 * @param number number to zerofill
	 * @param length how many digits to show
	 * @return zerofilled number or if number has more digits than length the number itself as String
	 */
	private StringUtilities() {};
	
	public static String zeroFill (long number, int length) {
		    String string = number + "";
		    if( string.length() >= length ) {
		        return string;
		    }
		    
		    char[] pad = new char[length - string.length()];		    
		    for (int a=0;a<pad.length;a++) { 
		    	pad[a]='0';
		    }
		    
		    return new String(pad) + string;
	}
}
