/**
 * 
 */
package org.qriterium.io;

import org.qriterium.statement.QStatement;

/**
 * A printer class for testing purposes.
 * @author Arto
 *
 */
public class ConsolePrinter implements StatementPrinter {

    private boolean closed = false;
    
	public ConsolePrinter() {
		
	}
	
	/* (non-Javadoc)
	 * @see org.qriterium.io.StatementPrinter#print()
	 */
	public void print(QStatement statement) {
		System.out.println(statement);
	}
	
	public void close() {
	    this.closed = true;
	}
    
    public boolean closed() {
        return this.closed;
    }
}
