package org.qriterium.transformer;

import org.qriterium.io.DataLeecher;
import org.qriterium.statement.QStatements;

/**
 * Interface for all transformers
 * @author Mikko
 *
 */
public abstract class Transformer {

    protected QStatements qStatements;
    
	public abstract void transform(DataLeecher dataLeecher, QStatements qStatements);
	
	public abstract long getValidItems();
	public abstract long getInvalidItems();
}

