package org.qriterium.unit_tests;

import org.qriterium.unit_tests.util.IdFactoryTest;
import org.qriterium.unit_tests.util.QConnectionHandlerTest;
import org.qriterium.unit_tests.util.QStatementIndexTest;
import org.qriterium.unit_tests.util.XMLDataElementTest;

import junit.framework.Test;
import junit.framework.TestSuite;

public class UtilTestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(UtilTestSuite.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for org.qriterium.unit_tests.util");
		//$JUnit-BEGIN$
		suite.addTestSuite(QConnectionHandlerTest.class);
		suite.addTestSuite(QStatementIndexTest.class);
		suite.addTestSuite(IdFactoryTest.class);
		suite.addTestSuite(XMLDataElementTest.class);
		//$JUnit-END$
		return suite;
	}

}
