package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.CreatedByConnection;

/**
 * Unit test class for CreatedByConnection
 * @author mokautto
 *
 */
public class CreatedByConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.CreatedForConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		CreatedByConnection conn = 
			new CreatedByConnection(0, 0, "foo", "foo");
		assertEquals("created_by", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.CreatedByConnection.CreatedByConnection(QActor, QActor)'
	 */
	public void testCreatedByConnection() {
		CreatedByConnection conn = 
			new CreatedByConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}