package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.IdentifiedAsConnection;

/**
 * Unit test class for IdentifiedAsConnection
 * @author Arto
 *
 */
public class IdentifiedAsConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.IdentifiedAsConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		IdentifiedAsConnection conn = 
			new IdentifiedAsConnection(0, 0, "foo", "foo");
		assertEquals("identified_as", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.IdentifiedAsConnection.IdentifiedAsConnection(QStatement, QStatement)'
	 */
	public void testIdentifiedAsConnection() {
		IdentifiedAsConnection conn = 
			new IdentifiedAsConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
