package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.ManagedByConnection;

/**
 * Unit test class for ManagedByConnection
 * @author Arto
 *
 */
public class ManagedByConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.ManagedByConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		ManagedByConnection conn = 
			new ManagedByConnection(0, 0, "foo", "foo");
		assertEquals("managed_by", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.ManagedByConnection.ManagedByConnection(QActor, QActor)'
	 */
	public void testManagedByConnection() {
		ManagedByConnection conn = 
			new ManagedByConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
