package org.qriterium.unit_tests.connection;

import junit.framework.TestCase;

import org.qriterium.connection.SupportedByConnection;

/**
 * Unit test class for SupportedByConnection
 * @author Arto
 *
 */
public class SupportedByConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.SupportedByConnection.getTypeString()'
	 */
	public void testGetTypeString() {
		SupportedByConnection conn = new SupportedByConnection(0, 0, "foo", "foo");
		assertEquals("supported_by", conn.getTypeString());
	}

	/*
	 * Test method for 'org.qriterium.SupportedByConnection.SupportedByConnection(QActor, QActor)'
	 */
	public void testSupportedByConnection() {
		SupportedByConnection conn = new SupportedByConnection(1, 2, "foo", "foo");
		assertEquals(new Long(1), conn.getFrom());
		assertEquals(new Long(2), conn.getTo());
	}

}
