package org.qriterium.unit_tests.settings;

import java.util.Date;

import org.qriterium.settings.FileState;

import junit.framework.TestCase;

/**
 * Tests for FileState
 * @author dhope
 *
 */
public class FileStateTest extends TestCase {

    /*
     * Test method for 'org.qriterium.settings.FileState.getCreationID()'
     */
    public void testGetCreationID() {
        FileState fs = new FileState();
        fs.setCreationID(1);
        assertEquals(1, fs.getCreationID());
    }

    /*
     * Test method for 'org.qriterium.settings.FileState.getDate()'
     */
    public void testGetDate() {
        FileState fs = new FileState();
        Date d = new Date();
        fs.setDate(d);
        assertEquals(d, fs.getDate());
    }

    /*
     * Test method for 'org.qriterium.settings.FileState.getInvalidItems()'
     */
    public void testGetInvalidItems() {
        FileState fs = new FileState();
        fs.setInvalidItems(5);
        assertEquals(5, fs.getInvalidItems());
    }

    /*
     * Test method for 'org.qriterium.settings.FileState.getValidItems()'
     */
    public void testGetValidItems() {
        FileState fs = new FileState();
        fs.setValidItems(1);
        assertEquals(1, fs.getValidItems());

    }

}
