package org.qriterium.unit_tests.statement;

import org.qriterium.statement.Person;
import org.qriterium.statement.QActor;
import org.qriterium.statement.QContent;
import org.qriterium.util.XMLProperties;

import junit.framework.TestCase;

public class QContentTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.statement.QContent.isConnectable()'
	 */
	public void testIsConnectable() {
		QContent c = new QContent(null, null);
		assertTrue(c.isConnectable());
	}

	/*
	 * Test method for 'org.qriterium.statement.QContent.getXMLDataElements()'
	 */
	public void testGetXMLDataElements() {
		QContent c = new QContent(null, null);
		assertEquals(0, c.getXMLDataElements().length);
	}

	/*
	 * Test method for 'org.qriterium.statement.QContent.getStartTag()'
	 */
	public void testGetStartTag() {
		QContent c = new QContent(null, null);
		assertEquals(XMLProperties.CONTENT, c.getStartTag());
	}

	/*
	 * Test method for 'org.qriterium.statement.QContent.getEndTag()'
	 */
	public void testGetEndTag() {
		QContent c = new QContent(null, null);
		assertEquals(XMLProperties.CONTENT, c.getEndTag());

	}
    
    public void testToString() {
        QContent c = new QContent(null, null);
        assertTrue(c.toString().indexOf("QContent") > 0);
    }

}
