package org.qriterium.unit_tests.util;

import org.qriterium.util.SimpleNamespaceContext;

import junit.framework.TestCase;

public class SimpleNamespaceContextTest extends TestCase {

    /*
     * Test method for 'org.qriterium.util.SimpleNamespaceContext.SimpleNamespaceContext()'
     */
    public void testSimpleNamespaceContext() {
        SimpleNamespaceContext s1 = new SimpleNamespaceContext("prefix", "uri");
        SimpleNamespaceContext s2 = new SimpleNamespaceContext();
        assertEquals("prefix", s1.getPrefix(""));
        assertEquals("uri", s1.getNamespaceURI(""));
        assertEquals(null, s2.getPrefix(""));
        assertEquals(null, s2.getNamespaceURI(""));
        
        s2.setNamespaceURI("bla");
        assertEquals("bla", s2.getNamespaceURI(""));

        s2.setPrefix("foo");
        assertEquals("foo", s2.getPrefix(""));
    }

    /*
     * Test method for 'org.qriterium.util.SimpleNamespaceContext.getPrefixes(String)'
     */
    public void testGetPrefixes() {
        SimpleNamespaceContext s2 = new SimpleNamespaceContext();
        assertEquals(null, s2.getPrefixes(""));
    }

}
