package org.qriterium.util;

import java.util.logging.Formatter;
import java.util.logging.LogRecord;
import java.util.Date;
import java.text.SimpleDateFormat;

public class LogFormatter extends Formatter {
	public String format(LogRecord record) {
		SimpleDateFormat sdf = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss");
		return sdf.format(new Date(record.getMillis())) 
			+ " " + record.getMessage() 
			+ "\n";
	}
}
