package org.qriterium.util;

/**
 * A class to hold XML tag names and other XML properties
 * @author Timo
 */

public abstract class XMLProperties{
	public static final String NAMESPACE = "http://www.qriterium.org/";
	public static final String NAMESPACE_PREFIX = "qs";
	public static final int INDENT = 2;
	
	public static final String ROOT = "statement_list";

	public static final String ACTOR = "actor"; 
	public static final String CONNECTION = "connection";
	public static final String CONTENT = "content";
	public static final String DOCUMENT = "document";
	public static final String HEADER = "header";
	public static final String SOURCE = "source";
	public static final String STATEMENT = "statement";
	
	public static final String HEADER_ID = "id";
	public static final String HEADER_BY = "by";
	public static final String HEADER_BYNR = "bynr";
	public static final String HEADER_RAWID = "rawid";
	public static final String HEADER_HASH = "hash";
	public static final String HEADER_STATEMENTSOURCE = "ss";
	public static final String HEADER_SSNR = "ssnr";
	public static final String HEADER_AT = "at";
	
	public static final String CONNECTION_FROM = "from_id";
	public static final String CONNECTION_TO = "to_id";
	
	public static final String ACTOR_RAWNAME = "rawname";
	
	public static final String SOURCE_RAWNAME = "rawname";
	
	public static final String DOCUMENT_RAWNAME = "rawname";
	public static final String DOCUMENT_LANGUAGE = "language";
	public static final String DOCUMENT_PUBLISHED = "published";
	public static final String DOCUMENT_OPENURL = "openurl";
	public static final String DOCUMENT_FILENAME = "filename";

}
